# Generated by Django 2.2.3 on 2019-08-30 11:52

import django.contrib.postgres.fields.jsonb
import django.core.validators
from django.db import migrations, models
import django.utils.timezone
import model_utils.fields
import olki.apps.oaipmh.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Repository',
            fields=[
                ('created_at', models.DateTimeField(blank=True, default=django.utils.timezone.now, editable=False)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('status', model_utils.fields.StatusField(choices=[('enabled', 'enabled'), ('disabled', 'disabled'), ('blocked', 'blocked')], default='enabled', max_length=100, no_check_for_status=True, verbose_name='status')),
                ('status_changed', model_utils.fields.MonitorField(default=django.utils.timezone.now, monitor='status', verbose_name='status changed')),
                ('url', models.CharField(max_length=255, primary_key=True, serialize=False, validators=[django.core.validators.URLValidator()])),
                ('oaipmh_identify_fetch_date', model_utils.fields.MonitorField(default=django.utils.timezone.now, monitor='oaipmh_identify')),
                ('oaipmh_identify', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=olki.apps.oaipmh.models.empty_dict, max_length=50000)),
            ],
            options={
                'ordering': ['-created_at', '-updated_at'],
                'abstract': False,
            },
        ),
    ]
